# Welcome to Vim-Plugins

This repository hosts the latest development versions of various Vim plug-ins.
Currently maintained by Wolfgang Mehner:
[GitHub](https://github.com/WolfgangMehner)
[Vim.org](https://vim.sourceforge.io/account/profile.php?user_id=36934)

__Support for Various Programming Languages__

Name           | Supports            | vim.org                                                                 | GitHub                                                     | Screenshots
---            | ---                 | ---                                                                     | ---                                                        | ---
AWK-Support    | AWK                 | [vim.org](https://vim.sourceforge.io/scripts/script.php?script_id=4415) | [GitHub](https://github.com/WolfgangMehner/awk-support)    | [here](https://wolfgangmehner.github.io/vim-plugins/awksupport)
Bash-Support   | Bash                | [vim.org](https://vim.sourceforge.io/scripts/script.php?script_id=365)  | [GitHub](https://github.com/WolfgangMehner/bash-support)   | [here](https://wolfgangmehner.github.io/vim-plugins/bashsupport)
C-Support      | C/C++ & Doxygen     | [vim.org](https://vim.sourceforge.io/scripts/script.php?script_id=213)  | [GitHub](https://github.com/WolfgangMehner/c-support)      | [here](https://wolfgangmehner.github.io/vim-plugins/csupport)
LaTeX-Support  | LaTeX/LuaTeX/BibTeX | [vim.org](https://vim.sourceforge.io/scripts/script.php?script_id=4405) | [GitHub](https://github.com/WolfgangMehner/latex-support)  | [here](https://wolfgangmehner.github.io/vim-plugins/latexsupport)
Lua-Support    | Lua & C-API         | [vim.org](https://vim.sourceforge.io/scripts/script.php?script_id=4950) | [GitHub](https://github.com/WolfgangMehner/lua-support)    | [here](https://wolfgangmehner.github.io/vim-plugins/luasupport)
Matlab-Support | Matlab              | -                                                                       | [GitHub](https://github.com/WolfgangMehner/matlab-support) | -
Perl-Support   | Perl & POD          | [vim.org](https://vim.sourceforge.io/scripts/script.php?script_id=556)  | [GitHub](https://github.com/WolfgangMehner/perl-support)   | [here](https://wolfgangmehner.github.io/vim-plugins/perlsupport)
Vim-Support    | Vim-Script          | [vim.org](https://vim.sourceforge.io/scripts/script.php?script_id=3931) | [GitHub](https://github.com/WolfgangMehner/vim-support)    | [here](https://wolfgangmehner.github.io/vim-plugins/vimsupport)

__Other Tools__

Name            | Description                                                  | vim.org                                                                 | GitHub                                                  | Screenshots
---             | ---                                                          | ---                                                                     | ---                                                     | ---
Git-Support     | Manage Git repos from within Vim                             | [vim.org](https://vim.sourceforge.io/scripts/script.php?script_id=4497) | [GitHub](https://github.com/WolfgangMehner/git-support) | [here](https://wolfgangmehner.github.io/vim-plugins/gitsupport)
Verilog-Support | SystemVerilog & UVM by [jmcneal](https://github.com/jmcneal) | -                                                                       | [GitHub](https://github.com/jmcneal/verilog-support)    | -

# Installation

We recommend downloading the latest official versions published on vim.org (see above).
Or try the development snapshots in the individual GitHub repositories (see above).
The versions available here might be buggy.

You can use this repository, as well as the ones linked above, with any plug-in manager.

For more information, please [consult this](https://github.com/WolfgangMehner/vim-plugins/wiki/Installation).

# Documentation

Each plug-in comes with its own readme as well as an extensive documentation utilizing Vim's help facility. For example:

    :help c-support

    :help lua-support

# Mailing List

You can subscribe to the vim-plugins-list mailing list to post your questions or suggestions for improvement or to report bugs.
The list will also be used to announce new releases.
Visit the following page for subscribing to the mailing list:

[http://lug.fh-swf.de/cgi-bin/mailman/listinfo/vim-plugins-list](http://lug.fh-swf.de/cgi-bin/mailman/listinfo/vim-plugins-list)

The vim-plugins-list list is very low on traffic.

# Contributing

Do you want to contribute patches/extension/...?

* Please do so by sending us your pull requests.
* ... or by sending us your commits per email.

Please have a look [here](https://github.com/WolfgangMehner/vim-plugins/wiki/Contributing).

# License

Published under the [GNU General Public License, Version 2](http://www.gnu.de/documents/gpl-2.0.en.html).

# Credits

Most of the plug-ins were originally developed by Fritz Mehner:
[GitHub](https://github.com/FritzMehner)
[Vim.org](https://vim.sourceforge.io/account/profile.php?user_id=169)
